summaryrefslogtreecommitdiffstats
path: root/source/l/sip
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/sip')
-rwxr-xr-xsource/l/sip/sip.SlackBuild91
-rw-r--r--source/l/sip/sip.url1
2 files changed, 6 insertions, 86 deletions
diff --git a/source/l/sip/sip.SlackBuild b/source/l/sip/sip.SlackBuild
index b633c511f..922c884dc 100755
--- a/source/l/sip/sip.SlackBuild
+++ b/source/l/sip/sip.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# Copyright 2008 Aleksandar Samardzic <asamardzic@gmail.com>
-# Copyright 2008, 2009, 2010, 2011, 2017, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2017, 2018, 2019, 2023 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -28,7 +28,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=sip
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-5}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -63,12 +63,6 @@ else
SLKCFLAGS="-O2"
fi
-PYTHON2VER=$(python2 -V 2>&1 | cut -f 2 -d' ' | cut -f 1-2 -d. 2>/dev/null)
-PYTHON2LIB=$( python2 -c 'from distutils.sysconfig import get_python_lib; print get_python_lib()' 2>/dev/null )
-
-PYTHON3VER=$(python3 -V 2>&1 | cut -f 2 -d' ' | cut -f 1-2 -d. 2>/dev/null)
-PYTHON3LIB=$( python3 -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' 2>/dev/null )
-
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -86,83 +80,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-python2 configure.py \
- -b "/usr/bin" \
- -d "$PYTHON2LIB" \
- CFLAGS="$SLKCFLAGS" \
- CXXFLAGS="$SLKCFLAGS" \
- || exit 1
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
-
-## Add the PyQt4 private sip module:
-#make clean
-#python2 configure.py \
-# --sip-module PyQt4.sip \
-# --no-tools \
-# -b "/usr/bin" \
-# -d "$PYTHON2LIB" \
-# CFLAGS="$SLKCFLAGS" \
-# CXXFLAGS="$SLKCFLAGS" \
-# || exit 1
-#make $NUMJOBS || make || exit 1
-#make install DESTDIR=$PKG || exit 1
-
-# Add the PyQt5 private sip module:
-make clean
-python2 configure.py \
- --sip-module PyQt5.sip \
- --no-tools \
- -b "/usr/bin" \
- -d "$PYTHON2LIB" \
- CFLAGS="$SLKCFLAGS" \
- CXXFLAGS="$SLKCFLAGS" \
- || exit 1
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
-
-# Rename to avoid a clash:
-mv $PKG/usr/bin/sip $PKG/usr/bin/sip2
-
-make clean
-
-python3 configure.py \
- -b "/usr/bin" \
- -d "$PYTHON3LIB" \
- CFLAGS="$SLKCFLAGS" \
- CXXFLAGS="$SLKCFLAGS" || exit 1
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
-
-## Add the PyQt4 private sip module:
-#make clean
-#python3 configure.py \
-# --sip-module PyQt4.sip \
-# --no-tools \
-# -b "/usr/bin" \
-# -d "$PYTHON3LIB" \
-# CFLAGS="$SLKCFLAGS" \
-# CXXFLAGS="$SLKCFLAGS" || exit 1
-#make $NUMJOBS || make || exit 1
-#make install DESTDIR=$PKG || exit 1
-
-# Add the PyQt5 private sip module:
-make clean
-python3 configure.py \
- --sip-module PyQt5.sip \
- --no-tools \
- -b "/usr/bin" \
- -d "$PYTHON3LIB" \
- CFLAGS="$SLKCFLAGS" \
- CXXFLAGS="$SLKCFLAGS" || exit 1
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
-
-# Rename to avoid a clash:
-mv $PKG/usr/bin/sip $PKG/usr/bin/sip3
-
-# Create a symbolic link 'sip' pointing to the sip3 binary:
-ln -s sip3 $PKG/usr/bin/sip
+python3 -m build --wheel --no-isolation || exit 1
+
+python3 -m installer --destdir "$PKG" dist/*.whl || exit 1
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
@@ -186,4 +106,3 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n $TMP/$PKGNAM-$(echo $VERSION |tr - _)-$ARCH-$BUILD.txz
-
diff --git a/source/l/sip/sip.url b/source/l/sip/sip.url
new file mode 100644
index 000000000..3b8d538b6
--- /dev/null
+++ b/source/l/sip/sip.url
@@ -0,0 +1 @@
+https://pypi.org/project/SIP/